Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

### Hierarchy

- AbstractAppController
  - AbstractMobileController

## Index

### Constructors

- constructor

### Methods

- hideNav
- navIsVisible
- openNavMenu
- toggleLeftNavVisibility
- toggleRightNavVisibility
- AbstractAppController

## Constructors

### constructor

- new AbstractMobileController(config: {}, $scope: IScope, $injector: IInjectorService): AbstractMobileController

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:51
  nginject

  #### Parameters

  - ##### config: {}

    A part of the application config.

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

## Methods

### hideNav

- hideNav(): void

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:177

  Hide both navigation menus.

  #### Returns void

### navIsVisible

- navIsVisible(): boolean

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:186

  #### Returns boolean

  Return true if one of the navigation menus is visible, otherwise false.

### openNavMenu

- openNavMenu(target: string): void

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:194

  Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - ##### target: string

    the data-target value.

  #### Returns void

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:164

  #### Returns void

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- - Defined in contribs/gmf/src/controllers/AbstractMobileController.js:170

  #### Returns void

### Static AbstractAppController

- AbstractAppController(config: {}, map: Map, $scope: IScope, $injector: IInjectorService): void

- - Defined in contribs/gmf/src/controllers/AbstractAppController.js:98

  Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.
  ngdoc

    controller

  nginject

  #### Parameters

  - ##### config: {}

    A part of the application config.

  - ##### map: Map

    The map.

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns void

Generated using TypeDoc